Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZExtensionPackageHandler Class Reference

Handles extenstions in the package system. More...

Inheritance diagram for eZExtensionPackageHandler:

## Public Member Functions
| __construct ()
| explainInstallItem ( $package, $installItem, $requestedInfo=array())
| uninstall ( $package, $installType, $parameters, $name, $os, $filename, $subdirectory, $content, &$installParameters, &$installData)
| install ( $package, $installType, $parameters, $name, $os, $filename, $subdirectory, $content, &$installParameters, &$installData)
| add ( $packageType, $package, $cli, $parameters)
| handleAddParameters ( $packageType, $package, $cli, $arguments)
Public Member Functions inherited from eZPackageHandler
| __construct ( $handlerType, $parameters=array())
| extractInstallContent ()
| handlerType ()
| reset ()
| createDependencyNode ( $package, &$dependencyNode, $dependencyItem, $dependencySection)
| parseDependencyNode ( $package, &$dependencyNode, &$dependencyParameters, $dependencySection)
| createDependencyText ( $package, $dependencyItem, $dependencySection)
| createInstallNode ( $package, $installNode, $installItem, $installType)
| parseInstallNode ( $package, $installNode, &$installParameters, $isInstall)
| isErrorElement ( $elementID, &$installParameters)

## Static Public Member Functions
static | addExtension ( $package, $extensionName)
Static Public Member Functions inherited from eZPackageHandler
static | errorChoosenAction ( $errorCode, &$installParameters, $description, $handlerType, $resetError=true)

## Public Attributes
| $HandlerType
const | ERROR_EXISTS = 1
const | ACTION_REPLACE = 1
const | ACTION_SKIP = 2
| $Package = null
Public Attributes inherited from eZPackageHandler
| $ExtractInstallContent
| $HandlerType

## Detailed Description

Handles extenstions in the package system.

Definition at line 17 of file ezextensionpackagehandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZExtensionPackageHandler::__construct | ( |  | ) |

Definition at line 25 of file ezextensionpackagehandler.php.

## Member Function Documentation

## ◆ add()

eZExtensionPackageHandler::add | ( |  | $packageType,
|  |  | $package,
|  |  | $cli,
|  |  | $parameters
| ) |  |
| virtual

Adds items defined in $parameters to the package $package.

Implements eZPackageHandler.

Definition at line 177 of file ezextensionpackagehandler.php.

References addExtension().

## ◆ addExtension()

static eZExtensionPackageHandler::addExtension | ( |  | $package,
|  |  | $extensionName
| ) |  |
| static

Definition at line 186 of file ezextensionpackagehandler.php.

References eZDir\copy(), eZDir\mkdir(), and eZDir\recursiveList().

Referenced by add().

## ◆ explainInstallItem()

eZExtensionPackageHandler::explainInstallItem | ( |  | $package,
|  |  | $installItem,
|  |  | $requestedInfo = `array()`
| ) |  |
| virtual

Returns an explanation for the extension install item.

Implements eZPackageHandler.

Definition at line 33 of file ezextensionpackagehandler.php.

References ezpI18n\tr().

## ◆ handleAddParameters()

eZExtensionPackageHandler::handleAddParameters | ( |  | $packageType,
|  |  | $package,
|  |  | $cli,
|  |  | $arguments
| ) |  |
| virtual

Called when command line parameters must be handled by the package handler. This function must return an array with values which can easily be used in the add() function.

Parameters

  $packageType | The type that was specified when using the add command, which is either the name of this handler or an alias for it.
  $package | The package object.
  $cli | Command line interface object, can be used to output errors etc.
  $arguments | An array with string values taken from the command line after the add command.

Implements eZPackageHandler.

Definition at line 233 of file ezextensionpackagehandler.php.

References eZExtension\baseDirectory().

## ◆ install()

eZExtensionPackageHandler::install | ( |  | $package,
|  |  | $installType,
|  |  | $parameters,
|  |  | $name,
|  |  | $os,
|  |  | $filename,
|  |  | $subdirectory,
|  |  | $content,
|  | & | $installParameters,
|  | & | $installData
| ) |  |
| virtual

Copy extension from the package to extension repository.

Implements eZPackageHandler.

Definition at line 99 of file ezextensionpackagehandler.php.

References ACTION_REPLACE, ACTION_SKIP, eZDir\copy(), eZPackageHandler\errorChoosenAction(), eZCharTransform\instance(), eZDir\mkdir(), eZPackage\NON_INTERACTIVE, eZDir\recursiveDelete(), and ezpI18n\tr().

## ◆ uninstall()

eZExtensionPackageHandler::uninstall | ( |  | $package,
|  |  | $installType,
|  |  | $parameters,
|  |  | $name,
|  |  | $os,
|  |  | $filename,
|  |  | $subdirectory,
|  |  | $content,
|  | & | $installParameters,
|  | & | $installData
| ) |  |
| virtual

Uninstalls extensions.

Implements eZPackageHandler.

Definition at line 60 of file ezextensionpackagehandler.php.

References eZDir\recursiveDelete().

## Member Data Documentation

## ◆ $HandlerType

eZExtensionPackageHandler::$HandlerType

Definition at line 19 of file ezextensionpackagehandler.php.

## ◆ $Package

eZExtensionPackageHandler::$Package = null

Definition at line 256 of file ezextensionpackagehandler.php.

## ◆ ACTION_REPLACE

const eZExtensionPackageHandler::ACTION_REPLACE = 1

Definition at line 22 of file ezextensionpackagehandler.php.

Referenced by install().

## ◆ ACTION_SKIP

const eZExtensionPackageHandler::ACTION_SKIP = 2

Definition at line 23 of file ezextensionpackagehandler.php.

Referenced by install().

## ◆ ERROR_EXISTS

const eZExtensionPackageHandler::ERROR_EXISTS = 1

Definition at line 20 of file ezextensionpackagehandler.php.

The documentation for this class was generated from the following file:

- ezextensionpackagehandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.